<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hslf.usermodel.HSLFHyperlink (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hslf.usermodel.HSLFHyperlink (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hslf.usermodel.HSLFHyperlink" class="title">Uses of Class<br>org.apache.poi.hslf.usermodel.HSLFHyperlink
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> declared as <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#Z:Z_hyperlink">_hyperlink</a></span></code>
                                <div class="block">Hyperlink</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#createHyperlink--">createHyperlink</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#createHyperlink--">createHyperlink</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-org.apache.poi.hslf.usermodel.HSLFShape-">find</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                <div class="block">Find hyperlink assigned to the supplied shape</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#getHyperlink--">getHyperlink</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getHyperlink--">getHyperlink</a></span>()</code>
                                <div class="block">Returns <code>null</code> - shape groups can't have hyperlinks</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getHyperlink--">getHyperlink</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-org.apache.poi.hslf.usermodel.HSLFTextShape-">find</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>&nbsp;shape)</code>
                                <div class="block">Find hyperlinks in a text shape</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-java.util.List-">find</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>
                                <div class="block">Find hyperlinks in a text paragraph</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#getHyperlinks--">getHyperlinks</a></span>()</code>
                                <div class="block">Returns the array of all hyperlinks in this text run</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#setHyperlink-org.apache.poi.hslf.usermodel.HSLFHyperlink-">setHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&nbsp;link)</code>
                                <div class="block">Sets the hyperlink - used when parsing the document</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setHyperlink-org.apache.poi.hslf.usermodel.HSLFHyperlink-">setHyperlink</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&nbsp;link)</code>
                                <div class="block">Sets the hyperlink - used when the document is parsed</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
